Resume -NL- **`Naveen Khunteta`[NAME]** -NL- Contact No: **`+91 9902233400`[PHONES_PHONE]** -NL- Email: **`naveenanimation20@gmail.com`[EMAILS_EMAIL]** -NL- Current Employer: **`WalmartLabs`[EMPLOYER_COMPANY_NAME]** -NL- Ph: +91-9902233400 -NL- Current Location: Bangalore, India -NL- VISA : US – B1 (valid till 2024) -NL- Total Experience: 9.6 years -NL- Major Skills: Automation, QTP, Selenium, Web Driver, Java, White Box Testing, API/Web- -NL- Services Testing, JUNIT/TESTNG (TDD), CUCUMBER (BDD), Jenkins, SQL, Oracle, -NL- Cassandra, SVN, GITHub -NL- To gain expertise in my professional field by accepting challenging assignments as -NL- Software Test Engineer in growth oriented organization and become its valuable asset. -NL- SQL, Core Java, C, Python, Groovy, HTML, VB Script, Java -NL- **`Languages :`[OTHERS_HEADING]** -NL- Script, XML, JSON -NL- Operating Systems : Windows NT/2000/XP, Windows Server 2003, Linux -NL- RDBMS : Oracle, MySQL, MS Access, Cassandra, MongoDB, DataStax -NL- Oracle Query Analyzer, SQL Developer, Oracle TOAD, SQL -NL- Query Analyzer Tool : -NL- Server Manager 2005, Microsoft Visual Studio 2005 -NL- Web & Application -NL- IIS 5.0/6.0, Tomcat, Web logic, Oracle App, JBoss, Web Sphere -NL- : -NL- Servers -NL- Java, J2EE, .Net, Content Management, E-form, Web Portal, -NL- Technologies : Software Portal, Delphi, Mumps, HL7, USSD, J2ME, SMS, LDAP, -NL- SOA, SOAP, REST, XML -NL- Configuration Management Tool -NL- : SVN (Subversion), CVS, PVCS, GITHub, VSS -NL- QTP, Selenium1 (RC), Selenium2 (Web Driver), GRID, -NL- Automation Testing Tools -NL- IDE, SOAP UI, JUNIT/TestNG, Cucumber, Jenkins, -NL- HUDSON, ANT, Maven, Performance Testing Tools (Load -NL- Runner, JMeter), Sauce Labs, Browser Stack -NL- Automation Framework -NL- : Page Object Model (POM), Data Driven, Key Word, -NL- Design -NL- Hybrid, Linear, Modular -NL- Bug Tracking Tools : -NL- JIRA, Bugzilla, HP-QC-ALM, Rally, -NL- MS Tools : MS- Access, MS-Excel, MS-Word, MS-PPT -NL- **`Experience Summary:`[SUMMARY_HEADING]** -NL- • Around 9+ years of experience in both manual and automated software Quality Assurance -NL- Testing of client-server and web-based applications and Backend testing, Object oriented -NL- analysis design and development of multi-tier architectural based web applications, with -NL- Page 1 of 5 -NL- in-depth understanding. -NL- • Extensive Knowledge of Quality Assurance standards, methodologies and strategies with -NL- better understanding of Software Development Life Cycle (SDLC). -NL- • Experienced in SQA (Software Quality Assurance) including Manual and Automated testing -NL- with tools such as Selenium RC/Web Driver/IDE/Grid, HP Quick Test Professional, -NL- Junit/TestNG, Load Runner, Quality Center, JMeter and SOAP UI. -NL- • Experienced in automation project continuous integration using Jenkins/Hudson with -NL- Ant/Maven build automation tools. -NL- • Experienced in different unit testing frameworks, ATDD (Junit/TestNG) & BDD (Cucumber- -NL- JVM and JBehave). -NL- • Specialized in user requirement analysis, documenting test plans, execution of test cases -NL- to verify application functionality against business requirements, by using Selenium RC, -NL- Web Driver. -NL- • Experience in creating Test Plans, writing and executing Test Cases, Manual -NL- Testing, and automated Test Execution. -NL- • Good knowledge in Mobile App testing on Android and iPhone. Used Emulator, -NL- Simulator, User Agent Switcher, Junit Framework, Selenium Web Driver, Appium, Robot -NL- Framework and Ride to perform Mobile App testing. -NL- • Proficient in Web service testing using SOAPUI tool, SOAP, XML and expert in reading -NL- WSDL. -NL- • Experience in working with Build Systems like MAVEN/ANT and continuous integration -NL- systems like Jenkins. -NL- • Undertake strategic test planning & develop a strategic testing approach for each service -NL- in support of the E-commerce strategy. -NL- • Extensive experience in GUI, Regression, Functional, Integration, System, User -NL- Acceptance (UAT), Sanity, Performance, Stress, Reliability, compatibility, Cross Browser, -NL- Security and Database Testing. -NL- • Extensive experience working with Databases such as Oracle, SQL Server, Cassandra, -NL- Data Stax and Mongo DB. -NL- • Experience with testing on UNIX and multiple MS Windows environments. -NL- • Excellent interpersonal skills, proven team player with an analytical bent to problem -NL- solving and delivering under high stress environment. -NL- **`Qualification:`[EDUCATION_HEADING]** -NL- **`Bachelors of Engineering`[EDUCATION_DEGREE]** (Hons.) (Rajasthan -NL- Graduation Degree (2003 to 2007) : -NL- University) -NL- Company Name: **`WalmartLabs`[EMPLOYER_COMPANY_NAME]** (From June 2014 to Till Date) -NL- Product Name: Walmart MarketPlace, Partner Services, Seller/Vendor On-Boarding -NL- Position: **`Automation QA Lead– SDET-IV`[EMPLOYER_ROLE]** -NL- Project Description: -NL- Walmart Marketplace gives hundreds of thousands of additional products for sellers and partners, -NL- which are available through Walmart Marketplace Retailers approved to sell on Walmart.com. -NL- Responsibilities: -NL- • Gathered requirements and application information from Business Area Managers (BAM) and -NL- Subject Matter Experts (SME’s) and developed test cases. -NL- • Involved in design and implementation of Selenium Web Driver automation framework for -NL- smoke and regression test suites (JUnit/ TestNG and Maven). -NL- • Used automated scripts and performed functionality testing during the various phases of the -NL- application development using Selenium. -NL- Page 2 of 5 -NL- • Performed the testing of Rest WebServices, Proficient in end-to-end Automation -NL- Framework designing by using Java APIs. -NL- • Automated mobile apps for iOS, Android and Phone platforms using Appium. -NL- • Validated the Web Services (SOAP), both Request and Response messages. Validated the -NL- protocols (TCP/IP, HTTP and HTTPS). Developed XML/JOSN test files based on XML schema, -NL- JSON. -NL- • Implemented Page Object Model Automation framework with Java, Selenium Web Driver, -NL- Page Factory and Cucumber. -NL- • Involved in end to end Dev Ops activities (Build & Deployment Process, Environment creation, -NL- Setup Jenkins Pipelines, OneOps etc) -NL- • Recorded JMeter user scripts implementing parameterization both manually and by data driven -NL- wizards in JMeter. -NL- • Involved in testing the application utilizing the Scrum (Agile) methodology. -NL- • Involved in functional testing, black box testing, negative testing, compatibility -NL- testing, and recovery testing. -NL- • Conducted oracle database tests by executing SQL queries to ensure the data integrity by -NL- checking various kinds of constraints. -NL- • Reviewed database test cases according to assigned Requirements to validate reports by -NL- retrieving data with complex SQL queries from oracle database and Cassandra DB. -NL- • Performed regression tests on the application to assure proper functionality of the site after -NL- new builds using Jenkins. -NL- • Participated in daily, weekly meetings and technical reviews. Prepared reports showing the -NL- testing efforts. -NL- Environment: Selenium Web Driver, Cucumber, Java, JMeter, Groovy, Python, GIT-Hub, Jenkins, -NL- TestNG, Maven, SOAP UI, Agile, SQL, JIRA, Confluence, HTML, Oracle11g, PL/SQL Developer, UNIX, -NL- JIRA -NL- Company Name: **`Cisco Systems, Inc`[EMPLOYER_COMPANY_NAME]**. (From Oct 2012 to June 2014) -NL- Product Name: Prime Cisco Service Portal-PCSP -NL- Position: **`Automation QA Lead (SDET-III) -R&D (Individual Contributor)`[EMPLOYER_ROLE]** -NL- Project Description: -NL- Cisco-PCSP provides the full flash functionality of workflow service orders and transactions like Pre- -NL- Clearance, Broker Confirm, Firm, Violations, Disclosures and Certifications of different workflow -NL- based systems. -NL- Responsibilities: -NL- 1. Working as an individual contributor of all automation work across the BU. -NL- Page 3 of 5 -NL- 2. Working on Common automation Framework for across the whole products of BU. Leading -NL- junior automation QA engineers for all automation tasks. -NL- 3. Designed automation framework for both UI level and API level test cases. -NL- 4. Designed UI level automation framework by using Selenium Web-Driver APIs and Web -NL- Services (SOAP + REST APIs) level automation by using Java API, SOAP-UI and -NL- Groovy scripting. -NL- 5. Execution of test scripts on different environments, enhancement of scripts on the basis of -NL- new requirements. -NL- 6. Integrate automation by using different framework components by using Java, Junit4, -NL- TestNg, ANT, MAVEN, Jenkins, TDD, BDD (Cucumber-JVM). -NL- 7. Configured Continuous Integration Build server by using Jenkins/Hudson with different -NL- plugins like Junit, TestNg, ANT to generate HTML reports. -NL- 8. Performed test case parallelization by using Selenium GRID cluster to perform cross -NL- browser and cross platform testing like (Win-FF/IE/Chrome, Mac-Safari/FF/Chrome, -NL- Linux-FF). -NL- Environment: -NL- Java-J2EE framework, SOAP, WSDL, Struts, Spring, J2ME, USSD, ISO, SMS, Oracle 11g, -NL- Selenium Web Driver, Junit4, ANT, MAVEN, Jenkins, Rally, JIRA -NL- Company Name: **`SunGard Technology Solutions`[EMPLOYER_COMPANY_NAME]**, Pune (From May 2011 to Oct 2012) -NL- Product Name: Protegent-PTA (Trading domain) -NL- Position: **`Senior Automation-QA Engineer (Individual Contributor)`[EMPLOYER_ROLE]** -NL- Project Description: -NL- Protegent-PTA provides the full flash functionality of trading transactions like Pre-Clearance, Broker -NL- Confirm, Firm, Violations, Disclosures and Certifications of different Trading systems. -NL- Responsibilities: -NL- 1. Analyzing the Project Requirement and Impact Analysis of different automation -NL- requirements. -NL- 2. Working as an individual contributor of all automation work across the BU. -NL- 3. Working on Common automation Framework for across the whole products of BU. Leading -NL- junior automation QA engineers for all automation tasks. -NL- 4. Prepared the different automated test scripts and automated whole project in QTP by using -NL- Data Driven Framework approach from scratch. -NL- 5. Execution of test scripts on different environments, enhancement of scripts on the basis of -NL- new requirements. -NL- 6. Automated some modules of PTA application by using Selenium (IDE, Java- -NL- Junit4/ANT framework, Web Driver) tool. -NL- Page 4 of 5 -NL- Environment: -NL- Java-J2EE framework, SOAP, WSDL, Struts, Spring, J2ME, USSD, ISO, SMS, Oracle 11g, -NL- Bugzilla, QTP 10.0 & 11.0, QC 9.2, selenium IDE, Selenium Web Driver, Junit and ANT. -NL- Company Name: **`Mann-India Technologies`[EMPLOYER_COMPANY_NAME]** (From Feb 2010 to May 2011) -NL- Client: GCS, Dominican Republic & Columbia, Latin America -NL- Duration: (From June 2010 to May 2011) -NL- Position: **`Senior QA Engineer`[EMPLOYER_ROLE]** -NL- Project Description: -NL- GCS-Mobile Payment Gateway provides the full flash functionality of different transactions like -NL- mobile recharge, Bill payment of telco, electricity companies, university fee etc. -NL- Responsibilities: -NL- 1. Analyzing the Project Requirement and Impact Analysis of different CRs. -NL- 2. Writing and updating of the System Test cases on the basis of different CRs. -NL- 3. Automate the customer and user web portals by using Selenium IDE, RC, Web Driver -NL- with Junit4/ANT frameworks. -NL- 4. Reporting Bugs to Developer and tracking the bugs till closure by using Defect -NL- Management Tool-Bugzilla. -NL- 5. Mentoring the junior team members, leading them by doing different KT Sessions and -NL- trainings. -NL- Environment: -NL- Java-J2EE framework, SOAP, WSDL, Struts, Spring, J2ME, USSD, ISO, SMS, Oracle 11g, -NL- Bugzilla, Selenium IDE-RC-Web Driver. -NL- Company Name: **`HCL Technologies`[EMPLOYER_COMPANY_NAME]**, Noida (June 2007 to Jan 2010) -NL- Clients: -NL- Brocade (A Networking Solution Product Company), USA -NL- Merck(A leading Pharmaceutical Company), USA -NL- Responsibilities: -NL- 1. Analyzing the Project Requirement. -NL- 2. Enhanced the existing Data driven framework by creating and modifying the scripts in -NL- QTP 9.2 and Selenium IDE & RC. -NL- 3. Performed Database Testing by using Oracle Developer tool and Oracle TOAD. -NL- 4. Test Case creation: Smoke Test Cases, High Level/Low Level Scenarios, System Test -NL- cases, UAT Test Cases. -NL- 5. Interaction with developers throughout the bug life cycle, from bug report to closure. -NL- Page 5 of 5 -NL- 